#include <stdio.h>

int print_lines(const char *filename){

    FILE *file = fopen(filename);
    if(!file) return 1;
    
  //  int c = fgetc(file);
    int c = fgetc(file);
    while(c != EOF){

        while(c != '\0') printf("%c", c);
        printf("\n");
    }


    return 0;
}

int main()
{
    print_lines("example.txt");
    /* Expected:
    > First line
    > Second line
    > Third line
    > and so on
    >
    > ^^^ Even empty lines ^^^
    */

    return 0;
}

